> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get schedule



## OpenAPI

````yaml /openapi/orders.json get /v1/crm/requests/schedule/
openapi: 3.0.3
info:
  title: Yume API — Аренда
  version: 1.0.0
  description: Управление арендой, заявками и заказами.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/requests/schedule/:
    get:
      tags:
        - schedule
      summary: Get schedule
      operationId: schedule_list
      parameters:
        - in: query
          name: autorenewal
          schema:
            type: boolean
        - in: query
          name: deleted
          schema:
            type: boolean
        - in: query
          name: end_at
          schema:
            type: string
            format: date
          description: >-
            Конец отчётного периода, включительно. Дата (ГГГГ-ММ-ДД) или момент
            времени, от которого берётся дата.
          required: true
        - in: query
          name: payment_status
          schema:
            type: integer
            title: Статус оплаты
            enum:
              - 0
              - 1
              - 2
          description: |-
            * `0` - Ожидается оплата
            * `1` - Оплата произведена
            * `2` - Частичная оплата
        - in: query
          name: payment_status__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - name: search
          required: false
          in: query
          description: A search term.
          schema:
            type: string
        - in: query
          name: start_at
          schema:
            type: string
            format: date
          description: >-
            Начало отчётного периода, включительно. Дата (ГГГГ-ММ-ДД) или момент
            времени, от которого берётся дата.
          required: true
        - in: query
          name: status
          schema:
            type: integer
            title: Статус
            enum:
              - 0
              - 1
              - 2
              - 3
              - 4
              - 5
              - 6
          description: |-
            * `0` - Запрос
            * `1` - Забронировано
            * `2` - В аренде
            * `3` - Отменено
            * `4` - Завершено
            * `5` - Должник
            * `6` - Просрочка
        - in: query
          name: status__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OrderRequestSchedule'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    OrderRequestSchedule:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        client:
          $ref: '#/components/schemas/BaseClient'
        status:
          allOf:
            - $ref: '#/components/schemas/Status3e1Enum'
          title: Статус
          minimum: 0
          maximum: 32767
        type:
          allOf:
            - $ref: '#/components/schemas/Type36fEnum'
          title: Тип аренды
          minimum: -32768
          maximum: 32767
        rent_start:
          type: string
          format: date-time
          title: Начало аренды
        rent_fact_start:
          type: string
          format: date-time
          nullable: true
          title: Факт выдачи
        rent_end:
          type: string
          format: date-time
          title: Конец аренды
        rent_fact_end:
          type: string
          format: date-time
          nullable: true
          title: Факт возврата
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        price_discount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        price_inventory:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        price_service:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        discount_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        discount_inventory_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Скидка на инвентарь
        discount_service_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        payment_status:
          allOf:
            - $ref: '#/components/schemas/PaymentStatusEnum'
          title: Статус оплаты
          minimum: 0
          maximum: 32767
        paid_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        penalty_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        rental_point:
          type: integer
          nullable: true
          title: Точка проката
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        deleted:
          type: boolean
          title: Удалено
        plus_id:
          type: integer
          maximum: 9223372036854776000
          minimum: -9223372036854776000
          format: int64
          nullable: true
          title: Идентификатор Plus
        extra: {}
        autorenewal:
          type: boolean
          title: Автопродление
      required:
        - client
        - created_at
        - id
        - rent_end
        - rent_start
        - updated_at
    BaseClient:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          title: Название
          maxLength: 512
        type:
          allOf:
            - $ref: '#/components/schemas/BaseClientTypeEnum'
          title: Тип
          minimum: 0
          maximum: 2147483647
        avatar:
          type: string
          format: uri
          nullable: true
          title: Фото
        agreement_id:
          type: string
          readOnly: true
          nullable: true
        signed:
          type: boolean
        sign_date:
          type: string
          format: date
          nullable: true
        sign_expires:
          type: string
          format: date
          nullable: true
        phone:
          type: string
          title: Телефон
          maxLength: 32
        email:
          type: string
          format: email
          nullable: true
          maxLength: 254
        legal_type:
          nullable: true
          title: Форма организации
          minimum: 0
          maximum: 2147483647
          oneOf:
            - $ref: '#/components/schemas/LegalTypeEnum'
            - $ref: '#/components/schemas/NullEnum'
        extra:
          title: Доп. данные
      required:
        - agreement_id
        - id
        - name
        - phone
    Status3e1Enum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
      type: integer
      description: |-
        * `0` - Запрос
        * `1` - Забронировано
        * `2` - В аренде
        * `3` - Отменено
        * `4` - Завершено
        * `5` - Должник
        * `6` - Просрочка
    Type36fEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - За период
        * `1` - Посуточно
    PaymentStatusEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - Ожидается оплата
        * `1` - Оплата произведена
        * `2` - Частичная оплата
    BaseClientTypeEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Физ. лицо
        * `1` - Юр. лицо
    LegalTypeEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
      type: integer
      description: |-
        * `0` - ИП
        * `1` - ТОО
        * `2` - АО
        * `3` - ПК
    NullEnum:
      enum:
        - null
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````